Page MenuHomePhabricator

engine: make hook point for extension a public function
ClosedPublic

Authored by pulkit on Dec 31 2020, 11:42 AM.

Details

Summary

Well there are no private public functions in Python, but we generally treat
functions and variables starting with _ as private ones.

A function which needs to be overrided in extension should be a public one.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Dec 31 2020, 11:42 AM
marmoute accepted this revision.Jan 7 2021, 8:46 PM
marmoute added a subscriber: marmoute.

yes !

mharbison72 accepted this revision.Jan 12 2021, 6:45 PM
This revision is now accepted and ready to land.Jan 12 2021, 6:45 PM
This revision was automatically updated to reflect the committed changes.